## org.apache.mahout.cf.taste.impl.recommender
Class AllUnknownItemsCandidateItemsStrategy

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.AllUnknownItemsCandidateItemsStrategy

All Implemented Interfaces:
  CandidateItemsStrategy

    public final class AllUnknownItemsCandidateItemsStrategy

extends java.lang.Object
implements CandidateItemsStrategy

returns all items the user has not rated yet

Constructor Summary
`AllUnknownItemsCandidateItemsStrategy()`

Method Summary
`FastIDSet` `getCandidateItems(long userID, DataModel dataModel)` #return IDs of all items that could be recommended to the user

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllUnknownItemsCandidateItemsStrategy

    public AllUnknownItemsCandidateItemsStrategy()

Method Detail

### getCandidateItems

    public FastIDSet getCandidateItems(long userID,
                                       DataModel dataModel)
                                throws TasteException

  Description copied from interface: `CandidateItemsStrategy`
  #return IDs of all items that could be recommended to the user

  Specified by:
    `getCandidateItems` in interface `CandidateItemsStrategy`
  Throws:
    `TasteException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.